> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coldsend.pro/llms.txt
> Use this file to discover all available pages before exploring further.

# Redeliver a failed webhook delivery

> Re-queue a failed or dead webhook delivery for immediate re-attempt.



## OpenAPI

````yaml /public_openapi.json post /api/public/v1/webhooks/{webhook_id}/deliveries/{delivery_id}/redeliver
openapi: 3.0.3
info:
  title: ColdSend Public API
  description: >-
    Programmatic access to ColdSend for managing cold email campaigns and sender
    accounts.
  version: 1.0.0
  contact:
    name: ColdSend Support
    email: support@coldsend.pro
    url: https://coldsend.pro
servers:
  - url: https://api.coldsend.pro
    description: Production
security:
  - ApiKeyAuth: []
paths:
  /api/public/v1/webhooks/{webhook_id}/deliveries/{delivery_id}/redeliver:
    post:
      tags:
        - Webhooks
      summary: Redeliver a failed webhook delivery
      description: Re-queue a failed or dead webhook delivery for immediate re-attempt.
      operationId: >-
        redeliver_webhook_api_public_v1_webhooks__webhook_id__deliveries__delivery_id__redeliver_post
      parameters:
        - name: webhook_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Webhook Id
        - name: delivery_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Delivery Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookRedeliveryResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WebhookRedeliveryResponse:
      properties:
        success:
          type: boolean
          title: Success
          default: true
        message:
          type: string
          title: Message
          default: Redelivery queued successfully
        delivery_attempt_id:
          type: string
          format: uuid
          title: Delivery Attempt Id
        delivery_id:
          type: string
          format: uuid
          title: Delivery Id
        attempt_number:
          type: integer
          title: Attempt Number
        status:
          type: string
          title: Status
          default: pending
      type: object
      required:
        - delivery_attempt_id
        - delivery_id
        - attempt_number
      title: WebhookRedeliveryResponse
      description: Response after triggering a redelivery.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: API key with format cs_live_xxx

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.